# Setting a worker's identifier

## SYNOPSIS

#include <libgearman/gearman.h>

gearman_return_t gearman_worker_set_identifier(gearman_worker_st *worker, const char *id, size_t id_size)

Link with -lgearman

## DESCRIPTION

`gearman_worker_set_identifier()` sets the identifier that the server uses to identify the worker.

## RETURN VALUE

`gearman_worker_set_identifier()` return `gearman_return_t`.

## HOME

To find out more information please check: http://gearman.info/

See also

gearmand Gearman Client/Worker Library `gearman_worker_st`